PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchSetDefaultMonitor

Turns on/off printing useful information and debugging output about the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetDefaultMonitor(SNESLineSearch linesearch, PetscViewer viewer)

### Input Parameters

| linesearch | - the linesearch object
| viewer | - an ASCII PetscViewer or NULL to turn off monitor

Logically Collective on SNESLineSearch

### Options Database

| -snes_linesearch_monitor [:filename] | - enables the monitor

Developer Note: This monitor is implemented differently than the other SNESLineSearchMonitors that are set with SNESLineSearchMonitorSet() since it is called in many locations of the line search routines to display aspects of the line search that are not visible to the other monitors.

### See Also

SNESGetLineSearch(), SNESLineSearchGetDefaultMonitor(), PetscViewer, SNESLineSearchSetMonitor()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages